Commits

Ralph Bean  committed 9308239

tidied up development deps.

  • Participants
  • Parent commits e5554d0

Comments (0)

Files changed (5)

 tw2devtools
 tw2forms
 tw2.jquery.core
+tw2.jquery.ui
 virtualenv-*

File bin/develop-tw2-destroy-and-setup.sh

-#!/bin/bash -e
-
-venv=virtualenv-tw2.jquery.jqgrid
-$(
-    rm -rf $venv
-) || echo "Did not destroy $venv"
-
-virtualenv $venv --no-site-packages
-
-source $venv/bin/activate
-
-hg clone http://bitbucket.org/paj/tw2core || echo "tw2core exists."
-hg clone http://bitbucket.org/paj/tw2devtools || echo "tw2devtools exists."
-hg clone http://bitbucket.org/paj/tw2forms || echo "tw2devtools exists."
-git clone git://github.com/ralphbean/tw2.jquery.core.git || echo "tw2.jquery.core exists."
-git clone git://github.com/ralphbean/tw2.jquery.ui.git || echo "tw2.jquery.ui exists."
-
-pip install genshi
-pip install formencode
-
-cd tw2core ; python setup.py develop ; cd -
-cd tw2forms ; python setup.py develop ; cd -
-cd tw2devtools ; python setup.py develop ; cd -
-cd tw2.jquery.core ; python setup.py develop ; cd -
-cd tw2.jquery.ui ; python setup.py develop ; cd -
-

File bin/develop-tw2-start.sh

-#!/bin/bash
-
-venv=virtualenv-tw2.jquery.jqgrid
-source $venv/bin/activate
-
-python setup.py develop && paster tw2.browser
-
-
-

File development-deps/develop-tw2-destroy-and-setup.sh

+#!/bin/bash -e
+
+devbase=development-deps
+venv=$devbase/virtualenv-tw2.jquery
+$(
+    rm -rf $venv
+) || echo "Did not destroy $venv"
+
+virtualenv $venv --no-site-packages
+
+source $venv/bin/activate
+
+pushd $devbase
+
+hg clone http://bitbucket.org/paj/tw2core || echo "tw2core exists."
+hg clone http://bitbucket.org/paj/tw2devtools || echo "tw2devtools exists."
+hg clone http://bitbucket.org/paj/tw2forms || echo "tw2devtools exists."
+git clone git://github.com/ralphbean/tw2.jquery.core.git || echo "tw2.jquery.core exists."
+git clone git://github.com/ralphbean/tw2.jquery.ui.git || echo "tw2.jquery.ui exists."
+
+pip install genshi
+pip install formencode
+
+pushd tw2core ;  python setup.py develop ; popd
+pushd tw2forms ; python setup.py develop ; popd
+pushd tw2devtools ; python setup.py develop ; popd
+pushd tw2.jquery.core ; python setup.py develop ; popd
+pushd tw2.jquery.ui ; python setup.py develop ; popd
+
+pushd # $devbase

File development-deps/develop-tw2-start.sh

+#!/bin/bash
+
+devbase=development-deps
+venv=$devbase/virtualenv-tw2.jquery
+source $venv/bin/activate
+
+python setup.py develop && paster tw2.browser
+
+
+